ion-content {
    height: 100vh;
}

ion-item {
    width: 100vw;
    padding-right: 17px;
    --inner-padding-end: 0;

    ion-label {
        font-size: 10pt;
        padding-top: 1em;
    }

    p {
        width: 85vw;
        font-size: 11pt;
        margin: 0;
        padding-top: 0.25em;
    }

    ion-item {
        width: 100%;
        --inner-padding-end: 0;
        --padding-start: 0;
        --padding-end: 0;
        --padding-bottom: 5px;
        padding-right: 0px;

        ion-grid {
            --ion-grid-padding: 0;
        }

        div {
            display: block;
            width: 100%;
            position: relative;

            .address {
                --padding-top: 0;
                --padding-bottom: 0;
                margin: 0;
                font-size: 11pt;
                text-transform: none;
                display: inline-block;
                width: 77%;
            }

            .owner {
                width: 100%;
            }
        }

        .cosigner-upper {
            display: block;
            padding-right: 17px;

            .index {
                display: inline-block;
                max-width: 10%;
                width: 2.25em;
                height: 2.25em;
                background: #3880ff;
                border-radius: 5px;
                margin: 0 0.5em 0 0;
                padding: 0.5em;
                font-size: 8pt;
                color: #fff;
                text-align: center;
            }

            .address {
                --padding-top: 0;
                --padding-bottom: 0;
                margin: 0;
                font-size: 11pt;
                text-transform: none;
                display: inline-block;
                width: calc(100% - 17px - 3em);
            }

            .owner {
                width: calc(100% - 17px);
            }

            .remove {
                font-size: 16px;
                text-align: right;
                vertical-align: middle;
                display: inline-block;
                position: absolute;
                right: 7px;
            }
        }

        .owner-lower,
        .cosigner-lower,
        .verifier {
            .nameBox {
                display: block;
                margin: 3px;
                width: calc(100% - 17px - 1.5em);
                height: 2em;
                text-align: center;
                background: #ffffff;
                box-shadow: 0px 0px 3px #1c80df;
                border-radius: 5px;
                font-size: 11pt;
            }
        }

        .cosigner-lower {
            .nameBox {
                width: calc(100% - 5em);
            }
        }

        .verifier {
            .nameBox {
                width: calc(100% - 5em);
                box-shadow: none;
                text-align: left;
            }
            
            .remove {
                font-size: 16px;
                bottom: 5px;
            }
        }

        .btnRight {
            position: absolute;
            display: inline-block;
            right: 0px;
            bottom: 0px;
            width: 1.3em;
            height: 1.3em;
            border-radius: 5px;
            font-size: 1.5em;
            text-align: center;
            padding-top: 0.16em;
            padding-left: 0.01em;
        }

        .btnCopy,
        .btnWhiteBlue {
            background: #3880ff;
            color: #fff;
        }

        .btnCopy:active,
        .btnWhiteBlue:active {
            background: #4c8dff;
            transition: all 0.4s;
        }

        .btnRight2 {
            position: absolute;
            display: inline-block;
            right: calc(1.3em + 2px);
            bottom: 0px;
            width: 1.3em;
            height: 1.3em;
            border-radius: 5px;
            font-size: 1.5em;
            text-align: center;
            padding-top: 0.16em;
            padding-left: 0.01em;
        }
    }

    ion-row {
        display: block;

        #btnChooseGroup {
            text-transform: none;
            margin: 2px auto;
            display: block;
            width: fit-content;
        }
    }

    #add {
        width: calc(100% - 34px);
        text-align: center;
        color: #05f;
        font-size: 30px;
    }
}

#btnSign {
    padding: 1.5em;
    width: 100vw;
    text-align: center;

    ion-button {
        --border-radius: 15px;
        --padding-start: 2em;
        --padding-end: 2em;
        --padding-top: 1.5em;
        --padding-bottom: 1.5em;
        margin: auto;
        font-size: 12pt;
        text-transform: none;
    }
}

.loading {
    display: block;
    width: 100%;
    text-align: center;
}

.btn-full-width {
    width: 100%;
    text-transform: none;
}
